Skip to main content
GET
List card transactions

Query Parameters

account_id
string<uuid>
required

Account whose card transactions are returned. The account must belong to the authenticated partner.

created_at_start
string<date-time>

Return transactions created at or after this time.

created_at_end
string<date-time>

Return transactions created at or before this time.

page_size
integer<int32>
default:10

The number of card transactions on each page (1-100).

Required range: 1 <= x <= 100
page_cursor
string

The cursor of the page to return. Its value comes from pagination.next_page_cursor in the previous response.

Response

The request has succeeded.

Paginated response containing data and pagination metadata

data
object[]
required
pagination
object
required

Pagination metadata for cursor-based pagination